module rail(sections) {
	translate(v = [0, 0, -5 * sections - 2.5]) difference() {
		linear_extrude(height = 5 + (10 * sections)) railprofile();
		union() {
			for (s = [1:sections]) {
				translate(v = [0, 0, 10 * s - 5]) linear_extrude(height = 5) cutprofile();
			}
		}
	}
}

module railprofile() {
	polygon(points=[[-10.8,0],[-8,2.6],[8,2.6],[10.8,0],[8,-2.6],[7,-2.6],[7,-4.6],[-7,-4.6],[-7,-2.6],[-8,-2.6]], paths=[[0,1,2,3,4,5,6,7,8,9]]);
}

module cutprofile() {
	polygon(points=[[-12, 0], [-12, 3], [12, 3], [12, 0]], paths=[[0,1,2,3,0]]);
}

difference(){
union(){
cylinder(h=6,d=29,$fn=100);
cylinder(h=22,d=25,$fn=100);
translate([7,-9,0])
    cube([9,18,22]);
translate([17,0,32.5])
    rotate([0,0,-90])
    rail(6);
}
translate([0,0,18.5])
 cylinder(h=3.5,d=20.4,$fn=50);
translate([0,12.5,13.5])
rotate([90,0,0])
 cylinder(h=25,d=6,$fn=50);
translate([0,0,22])
 cylinder(h=43,d=29,$fn=50);    
}